Skip to main content
`Ctrl`+`K`

# DMDAGetRay

Returns a vector on process zero that contains a row or column of the values in a `DMDA` vector

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetRay(DM da, DMDirection dir, PetscInt gp, Vec *newvec, VecScatter *scatter)

Collective

## Input Parameters

- da - the `DMDA`

- dir - Cartesian direction, either `DM_X`, `DM_Y`, or `DM_Z`

- gp - global grid point number in this direction

## Output Parameters

- newvec - the new vector that can hold the values (size zero on all processes except MPI rank 0)

- scatter - the `VecScatter` that will map from the original vector to the ray

## Note

All processors that share the `DMDA` must call this with the same `gp` value

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDirection`, `Vec`, `VecScatter`

## Level

advanced

## Location

src/dm/impls/da/dasub.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages